<?php

namespace App\Http\Controllers\Yonetim;

use App\Http\Controllers\Controller;
use App\Models\Sabit_menuler;
use Illuminate\Http\Request;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Auth;

class SeoController extends Controller
{
    public function veriler(){
        $veriler = Sabit_menuler::latest()->get();

        return view('yonetim.seoayar.seolar',compact('veriler'));
    }



    public function veriupdate($id){

        $veriler = Sabit_menuler::findOrFail($id);
        return view('yonetim.seoayar.seoupdate',compact('veriler'));
    }

    public function veriupdateson(Request $request,$id)
    {

        $oturumyetki = Auth::user()->yetki;
        if ($oturumyetki==2 || $oturumyetki==1) {
            Sabit_menuler::findOrFail($id)->update([
                'title' => $request->title,
                'description' => $request->description,
                'keywords' => $request->keywords,
                'updated_at' => Carbon::now(),


            ]);


            return redirect()->back()->with('success','İşlem Başarılı , Yönlendiriliyorsunuz...');
        }else{
            return redirect()->back()->with('danger', 'İşlem Yetkiniz kısıtlı..');

        }




    }
}
